GNU bug report logs - #60617
30.0.50; Info-next-reference on TAB skips hyperlink in same line

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; Keywords: notabug wontfix; dated Sat, 7 Jan 2023 00:10:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) notabug and wontfix. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 60617 <at> debbugs.gnu.org:


Received: (at 60617) by debbugs.gnu.org; 7 Jan 2023 06:53:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 07 01:53:37 2023
Received: from localhost ([127.0.0.1]:56324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pE35C-0002zn-IC
	for submit <at> debbugs.gnu.org; Sat, 07 Jan 2023 01:53:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1pE359-0002zT-D8; Sat, 07 Jan 2023 01:53:33 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pE353-0007Sx-T1; Sat, 07 Jan 2023 01:53:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=mRTEb99HKp1N4Xn2E6MB8awRQ6bcAIal2l7cyYscEco=; b=DA1RK+YW8muP
 Gqb8kMp4n8fX7nXhLW2b5MXLAhIahGXLTl+wUpU/Jq7fptGYSUEf/i1G0ZxJ+IxWajhdcXV8MxZUd
 B7KvmYiwbkD7NS0ztwFo8phAPYgaEVECKNklUTQM0hQ4zuq2BtC/02+iRghaqhzhkMhgJ71rK7/ev
 OkWma/m6PHxRLqslHfa8MlQebg64RG6DwkrI0K5jVh5QhkEVzvxn9Pu2YF43Ure3wqM6CP+jAoYQ7
 8kgNupf3IrQQkQmgUjUksJ5lYwP5/hJ2mqtf5xo8V0BBbXhynCaEsfJD+LVc5OHMj+B2zjdMGGaJm
 OVzkOSUe9YQCgowXuchVIQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pE352-0001uC-Ut; Sat, 07 Jan 2023 01:53:25 -0500
Date: Sat, 07 Jan 2023 08:53:45 +0200
Message-Id: <83lemeu96u.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <59ea9a9e8f09692b9179a327184072f2.support1@HIDDEN> (message
 from Jean Louis on Sat, 07 Jan 2023 03:07:45 +0300)
Subject: Re: bug#60617: 30.0.50;
 Info-next-reference on TAB skips hyperlink in same line
References: <59ea9a9e8f09692b9179a327184072f2.support1@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60617
Cc: 60617 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 60617 notabug wontfix
thanks.

> Date: Sat, 07 Jan 2023 03:07:45 +0300
> From: Jean Louis <bugs@HIDDEN>
> 
> 
> In the Info buffer I can see hyperlink "Smart Key Reference", and when
> cursor is on "S" of the "See" word before "Smart Key Reference", and I
> press TAB, I expect cursor to move to "Smart Key Reference" hyperlink,
> instead, the line is skipped and cursor moves to "Smart Key Bindings".
> 
> TAB or `Info-next-reference' works well if cursor is on the previous
> line, then it would jump to the hyperlink "Smart Key Reference", but
> skips the hyperlink if cursor is in the same line. IMHO, it should
> move to hyperlink in same line first.
> 
> *Note Smart Key Reference::, for complete descriptions of their behavior
> in all contexts.
> 
> * Menu:
> 
> * Smart Key Bindings::

TAB moves to the _next_ reference, so when point is _on_ a reference,
Emacs will move to the next one.  And "See" is considered to be part
of the cross-reference.  Use RET to go to the one where you have
point.

This is not a bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60617; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2023 00:09:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 06 19:09:03 2023
Received: from localhost ([127.0.0.1]:56159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pDwli-0008UU-GC
	for submit <at> debbugs.gnu.org; Fri, 06 Jan 2023 19:09:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:59064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <support1@HIDDEN>) id 1pDwle-0008Tm-Vi
 for submit <at> debbugs.gnu.org; Fri, 06 Jan 2023 19:08:59 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <support1@HIDDEN>)
 id 1pDwle-0002MD-OW
 for bug-gnu-emacs@HIDDEN; Fri, 06 Jan 2023 19:08:58 -0500
Received: from stw1.rcdrun.com ([217.170.207.13])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <support1@HIDDEN>)
 id 1pDwlZ-0005hJ-0v
 for bug-gnu-emacs@HIDDEN; Fri, 06 Jan 2023 19:08:58 -0500
Received: from localhost ([::ffff:197.239.40.106])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000055D5E.0000000063B8B7F5.00004A2C; Fri, 06 Jan 2023 17:08:21 -0700
Date: Sat, 07 Jan 2023 03:07:45 +0300
Message-ID: <59ea9a9e8f09692b9179a327184072f2.support1@HIDDEN>
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 30.0.50; Info-next-reference on TAB skips hyperlink in same line 
Received-SPF: pass client-ip=217.170.207.13; envelope-from=support1@HIDDEN;
 helo=stw1.rcdrun.com
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


In the Info buffer I can see hyperlink "Smart Key Reference", and when
cursor is on "S" of the "See" word before "Smart Key Reference", and I
press TAB, I expect cursor to move to "Smart Key Reference" hyperlink,
instead, the line is skipped and cursor moves to "Smart Key Bindings".

TAB or `Info-next-reference' works well if cursor is on the previous
line, then it would jump to the hyperlink "Smart Key Reference", but
skips the hyperlink if cursor is in the same line. IMHO, it should
move to hyperlink in same line first.

*Note Smart Key Reference::, for complete descriptions of their behavior
in all contexts.

* Menu:

* Smart Key Bindings::



In GNU Emacs 30.0.50 (build 2, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.17.6, Xaw3d scroll bars) of 2023-01-06 built on
 protected.rcdrun.com
Repository revision: 15fc7b3cde92e420f48dfe188251e6af4d832af5
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=lucid --with-mailutils'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
JPEG JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XAW3D XDBE XIM XINPUT2 XPM
LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Info

Minor modes in effect:
  hyperbole-mode: t
  windmove-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  isearch-fold-quotes-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow mailalias emacsbug shortdoc hmouse-info misearch multi-isearch
mule-util help-fns hyrolo-demo hui-register hy-test-helpers
hyrolo-logic kexport kimport kotl-mode cl-extra kotl-orgtbl kcell
kvspec kfile kmenu kproperty delsel kview kfill klabel rmailedit
rmailsum rmail hyperbole hinit mh-e mh-buffers mh-loaddefs hibtypes
hib-doc-id klink hmouse-tag hib-kbd hib-debbugs hib-social hsys-www
hypb-ert ert ewoc debug backtrace hui-mini hui hui-mouse hmouse-key
hmouse-sh kmacro imenu hsys-org org-element org-persist xdg org-id
org-refile avl-tree org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-src ob-comint org-pcomplete org-list org-footnote
org-faces org-entities noutline outline ob-emacs-lisp ob-core ob-eval
org-cycle org-table ol org-fold org-fold-core org-keys oc org-loaddefs
find-func org-version org-compat org-macs hmouse-drv hui-window pulse
color hycontrol windmove hui-menu hyrolo-menu hui-jmenu thingatpt
hactypes hargs info etags fileloop generator xref project hpath tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat rx
shell pcomplete ls-lisp format-spec hui-select rng-nxml rng-valid
rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt rng-util
rng-pttrn nxml-ns nxml-mode nxml-outln nxml-rap nxml-util nxml-enc
xmltok sgml-mode facemenu hsettings hui-em-but hyrolo sort hbut view
hbdata hgnus gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime
dig gnus-sum shr pixel-fill kinsoku url-file svg dom gnus-group
gnus-undo gnus-start gnus-dbus dbus xml gnus-cloud nnimap nnmail
mail-source utf7 nnoo parse-time iso8601 gnus-spec gnus-int gnus-range
gnus-win gnus nnheader range hsmail hypb easy-mmode locate hact hmail
htz cal-julian cal-menu calendar cal-loaddefs hbmap hmoccur help-mode
hversion hload-path kotl-autoloads hvar bookmark warnings pcase set
hhist compile comint ansi-osc ansi-color ring loaddefs-gen lisp-mnt
radix-tree tar-mode arc-mode archive-mode cus-edit pp cus-start
cus-load icons wid-edit finder-inf mm-archive message sendmail
yank-media rfc822 mml mml-sec epa derived gnus-util
text-property-search time-date mailabbrev gmm-utils mailheader
mm-decode mm-bodies mm-encode mail-utils gnutls network-stream
url-cache url-http url-auth mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr url-gw nsm puny epg rfc6068 epg-config dired-aux
dired dired-loaddefs hyperbole-autoloads package browse-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x
map byte-opt gv bytecomp byte-compile url-vars cl-loaddefs cl-lib rmc
iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode
register page tab-bar menu-bar rfn-eshadow isearch easymenu timer
select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs theme-loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads
dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo x-toolkit xinput2 x multi-tty
make-network-process emacs)

Memory information:
((conses 16 435876 42839)
 (symbols 48 31610 224)
 (strings 32 120180 5432)
 (string-bytes 1 3767443)
 (vectors 16 55173)
 (vector-slots 8 577296 76043)
 (floats 8 488 625)
 (intervals 56 3033 0)
 (buffers 984 21))


-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#60617; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 7 Jan 2023 07:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.